<script src="@#file#(webgl-math.js)" type="text/javascript"></script>
<script src="@#file#(webgl-basic.js)" type="text/javascript"></script>
<script src="@#file#(webgl-view.js)" type="text/javascript"></script>
<script src="@#file#(webgl-proj.js)" type="text/javascript"></script>
<script src="@#file#(osvj.js)" type="text/javascript"></script>

<script type="text/javascript">
  var ld1 = null;

  function start() {
    ld1 = new lightningDemo('myCanvas1');

    ld1.scene.toggleAmbient(true);
    ld1.scene.toggleDiffuze(false);
    ld1.scene.toggleSpecular(false);

    ld1.startAnimation();
  }
</script>

  <p>Da bi čovjek vidio svijet oko sebe, nužno je da postoji izvor svjetlosti: u apsolutnom mraku ne vidimo. Imamo li u
     prostoru barem jedan izvor svjetlosti, objekti u prostoru bit će u određenoj mjeri osvijetljeni. Pri tome nije nužno
     da je neki predmet (ili njegov dio) izravno izložen izvoru svjetlosti. Naime, površine koje su izravno osvijetljene,
     dio svjetlosti odbijaju i time i same postaju sekundarni izvori (odnosno izvori višeg reda). Dio takve odbijene svjetlosti 
     može osvjetljavati predmet koji nije izravno osvijetljen.</p>

  <p>Prethodnu situaciju najjednostavnije je zamisliti na sljedeći način: nalazite se u vašoj radnoj sobi; rolete su spuštene, vani je mrak.
     Palite stropnu rasvjetu. I potom se zavučete ispod radnog stola. Primjetit ćete da ispod nije potpuni mrak i da vidite donju ploču
     stola. Ali, osvjetljenje je puno slabije u odnosu na površine koje su osvijetljenje izravno stropnom rasvjetom.</p>

  <p>Kako u situacijama u kojima ima mnoštvo objekata dolazi do višestrukih odbijanja svjetlosti od mnogih površina, svjetlost
     koja ovako (indirektno) osvjetljava površine na njih dolazi iz svih (ili barem mnogih) smjerova. U našem modelu,
     ovakvo osvjetljenje zvat ćemo <i>ambijentnom komponentnom osvjetljenja</i>; pravit ćemo se da do površine dolazi iz svih smjerova
     te da ga površina reflektira ponovno u svim smjerovima. Posljedica toga bit će da osvjetljenje površine uslijed ove komponente
     ne ovisi niti o kutu pod kojim ga promatrač gleda (tako dugo dok vidi tu površinu), niti o položaju površine u odnosu na izvor.
     Ova komponenta osvjetljenja postoji čim je izvor svjetlosti prisutan u sceni.
     </p>

  <p>Demonstracija u nastavku prikazuje tri kugle različitih dimenzija i materijala te jedan izvor svjetlosti. 
     Demonstracija je animirana na način da promatrač kruži oko scene jednolikom brzinom i uvijek gleda prema središnjoj kugli.
     Scena je osjenčana samo ambijentnom komponentom (pažljivo se zagledajte u platno - objekti su prikazani relativno slabom zagasitom crvenkastom bojom).</p>

  <p>Doživljavate li prikazane kugle kao doista trodimenzijske objekte? Uz samo ambijentno osvjetljenje, jako je teško
     to zamisliti jer su sve površine osvjetljene identično i čitava scena izgleda vrlo dvodimenzijsko (kao da gledamo krug i dvije elipse).
  </p>
  
  <p>Kontrolom prikazanom ispod demonstracije možete isključiti ambijentnu komponentu: scena će time postati potpuno crna.</p>

  <canvas id="myCanvas1" width="640" height="480">
    Your browser doesn't appear to support the 
    &lt;canvas&gt; element.
  </canvas>
  <p>
  <input type="checkbox" checked onchange="ld1.scene.toggleAmbient(this.checked);"> Ambijentna komponenta <br>
  </p>

  <p>Ako je površina izravno osvijetljena izvorom, ukupnom osvjetljenju točke doprinose još dvije
     komponente osvjetljenja: difuzna komponenta i zrcalna komponenta. Njih ćemo pogledati u nastavku.</p>

<script type="text/javascript">
start();
</script>

